GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
grpc_json_reader_vtable Struct Reference

`#include <json_reader.h>`

## Data Fields
void(* | string_clear )(void *userdata)
void(* | string_add_char )(void *userdata, gpr_uint32 c)
void(* | string_add_utf32 )(void *userdata, gpr_uint32 c)
gpr_uint32(* | read_char )(void *userdata)
void(* | container_begins )(void *userdata, grpc_json_type type)
grpc_json_type(* | container_ends )(void *userdata)
void(* | set_key )(void *userdata)
void(* | set_string )(void *userdata)
int(* | set_number )(void *userdata)
void(* | set_true )(void *userdata)
void(* | set_false )(void *userdata)
void(* | set_null )(void *userdata)

## Field Documentation

void(* grpc_json_reader_vtable::container_begins)(void *userdata, grpc_json_type type)

grpc_json_type(* grpc_json_reader_vtable::container_ends)(void *userdata)

gpr_uint32(* grpc_json_reader_vtable::read_char)(void *userdata)

void(* grpc_json_reader_vtable::set_false)(void *userdata)

void(* grpc_json_reader_vtable::set_key)(void *userdata)

void(* grpc_json_reader_vtable::set_null)(void *userdata)

int(* grpc_json_reader_vtable::set_number)(void *userdata)

void(* grpc_json_reader_vtable::set_string)(void *userdata)

void(* grpc_json_reader_vtable::set_true)(void *userdata)

void(* grpc_json_reader_vtable::string_add_char)(void *userdata, gpr_uint32 c)

void(* grpc_json_reader_vtable::string_add_utf32)(void *userdata, gpr_uint32 c)

void(* grpc_json_reader_vtable::string_clear)(void *userdata)

The documentation for this struct was generated from the following file:

- src/core/json/json_reader.h